curl -X POST "https://app.talkover.ai/api/v1/agents/550e8400-e29b-41d4-a716-446655440000/publish" \
-H "Authorization: Bearer talq_your_environment_token_here"
const response = await fetch('https://app.talkover.ai/api/v1/agents/550e8400-e29b-41d4-a716-446655440000/publish', {
method: 'POST',
headers: {
'Authorization': 'Bearer talq_your_environment_token_here'
}
});
const result = await response.json();
import requests
url = "https://app.talkover.ai/api/v1/agents/550e8400-e29b-41d4-a716-446655440000/publish"
headers = {"Authorization": "Bearer talq_your_environment_token_here"}
response = requests.post(url, headers=headers)
result = response.json()
{
"success": true,
"message": "Agent published successfully",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "SupportBot",
"current_status": "published",
"is_ready_to_publish": true,
"updated_at": "2024-01-15T10:50:00Z"
}
}
Agents
Publish Agent
Publish an agent to make it active and available to receive or place calls
POST
/
api
/
v1
/
agents
/
{agent_id}
/
publish
curl -X POST "https://app.talkover.ai/api/v1/agents/550e8400-e29b-41d4-a716-446655440000/publish" \
-H "Authorization: Bearer talq_your_environment_token_here"
const response = await fetch('https://app.talkover.ai/api/v1/agents/550e8400-e29b-41d4-a716-446655440000/publish', {
method: 'POST',
headers: {
'Authorization': 'Bearer talq_your_environment_token_here'
}
});
const result = await response.json();
import requests
url = "https://app.talkover.ai/api/v1/agents/550e8400-e29b-41d4-a716-446655440000/publish"
headers = {"Authorization": "Bearer talq_your_environment_token_here"}
response = requests.post(url, headers=headers)
result = response.json()
{
"success": true,
"message": "Agent published successfully",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "SupportBot",
"current_status": "published",
"is_ready_to_publish": true,
"updated_at": "2024-01-15T10:50:00Z"
}
}
Publish Agent
Publish an agent to mark it as active. A published agent can receive inbound calls or be used to place outbound calls.Endpoint
POST /api/v1/agents/{agent_id}/publish
Path parameters
string
required
The unique identifier of the voice agent to publish.
Request headers
string
required
Bearer token for authentication. Format:
Bearer talq_your_environment_token_hereExamples
curl -X POST "https://app.talkover.ai/api/v1/agents/550e8400-e29b-41d4-a716-446655440000/publish" \
-H "Authorization: Bearer talq_your_environment_token_here"
const response = await fetch('https://app.talkover.ai/api/v1/agents/550e8400-e29b-41d4-a716-446655440000/publish', {
method: 'POST',
headers: {
'Authorization': 'Bearer talq_your_environment_token_here'
}
});
const result = await response.json();
import requests
url = "https://app.talkover.ai/api/v1/agents/550e8400-e29b-41d4-a716-446655440000/publish"
headers = {"Authorization": "Bearer talq_your_environment_token_here"}
response = requests.post(url, headers=headers)
result = response.json()
Response
{
"success": true,
"message": "Agent published successfully",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "SupportBot",
"current_status": "published",
"is_ready_to_publish": true,
"updated_at": "2024-01-15T10:50:00Z"
}
}
Notes
- The agent must be properly configured (knowledge, voice, calling settings) before it can be published. If
is_ready_to_publishisfalse, the publish call will fail with a422validation error explaining what’s missing. - Publishing an outbound agent does not start any calls — use Make a Call to dispatch outbound calls.
- To temporarily disable a published agent, use Unpublish Agent.
Was this page helpful?